org.apache.storm.hdfs.bolt.rotation

## Enum TimedRotationPolicy.TimeUnit

- java.lang.Object
- - java.lang.Enum<TimedRotationPolicy.TimeUnit>
  - - org.apache.storm.hdfs.bolt.rotation.TimedRotationPolicy.TimeUnit

- All Implemented Interfaces:
    Serializable, Comparable<TimedRotationPolicy.TimeUnit>
  Enclosing class:
    TimedRotationPolicy

      public static enum TimedRotationPolicy.TimeUnit
      extends Enum<TimedRotationPolicy.TimeUnit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAYS`
    `HOURS`
    `MINUTES`
    `SECONDS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMilliSeconds()`
    `static TimedRotationPolicy.TimeUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimedRotationPolicy.TimeUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECONDS

          public static final TimedRotationPolicy.TimeUnit SECONDS

    - #### MINUTES

          public static final TimedRotationPolicy.TimeUnit MINUTES

    - #### HOURS

          public static final TimedRotationPolicy.TimeUnit HOURS

    - #### DAYS

          public static final TimedRotationPolicy.TimeUnit DAYS

  - ### Method Detail

    - #### values

          public static TimedRotationPolicy.TimeUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimedRotationPolicy.TimeUnit c : TimedRotationPolicy.TimeUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimedRotationPolicy.TimeUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMilliSeconds

          public long getMilliSeconds()

Copyright © 2021 The Apache Software Foundation. All rights reserved.